Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227068 - Review Request: jaxen-1.1-0.b7.4jpp - An XPath engine written in Java
Summary: Review Request: jaxen-1.1-0.b7.4jpp - An XPath engine written in Java
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 227109
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:40 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-11 14:15:20 UTC
jjohnstn: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)
Build failure log (deleted)
2007-03-20 02:11 UTC, Anthony Green
no flags Details

Description Rafael H. Schloming 2007-02-02 17:40:27 UTC
Spec URL: http://people.redhat.com/rafaels/specs/jaxen-1.1-0.b7.4jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/jaxen-1.1-0.b7.4jpp.src.rpm
Description: Jaxen is an XPath engine written in Java to work against a variety of XML
based object models such as DOM, dom4j and JDOM together with Java
Beans.

Documents for jaxen.

Samples for jaxen.

Javadoc for jaxen.

Comment 1 Andrew Overholt 2007-02-16 21:58:56 UTC
Updated spec and SRPM:

http://overholt.ca/fedora/jaxen.spec
http://overholt.ca/fedora/jaxen-1.1-1jpp.1.src.rpm

Comment 2 Jeff Johnston 2007-02-16 23:11:15 UTC
MUST:
X - remove defines at start for name, version, release and fill in tags
X rpmlint on <this package>.srpm gives no output

W: jaxen unversioned-explicit-provides jaxen-bootstrap
W: jaxen unversioned-explicit-obsoletes jaxen-bootstrap
W: jaxen mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 44)

X package successfully compiles and builds on at least x86
  - requires packages not available yet
  - mock build failed
X make sure lines are <= 80 characters
  - one comment goes over
X remove %ghost
 - use %{_javadocdir}/*
X verify the final provides and requires of the binary RPMs
  - could not build
X run rpmlint on the binary RPMs
  - still needs to be done


Comment 3 Andrew Overholt 2007-02-19 16:43:49 UTC
Updated spec and SRPM:

http://overholt.ca/fedora/jaxen.spec
http://overholt.ca/fedora/jaxen-1.1-1jpp.1.src.rpm

(In reply to comment #2)
> MUST:
> X - remove defines at start for name, version, release and fill in tags

Fixed.

> W: jaxen unversioned-explicit-provides jaxen-bootstrap
> W: jaxen unversioned-explicit-obsoletes jaxen-bootstrap

Fixed, fixed.

> W: jaxen mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 44)

Fixed.

> X make sure lines are <= 80 characters
>   - one comment goes over

Fixed.

> X remove %ghost
>  - use %{_javadocdir}/*

Fixed.

Comment 4 Jeff Johnston 2007-02-20 19:56:37 UTC
Please just use %{_javadocdir}/* in %files section for javadoc.

Comment 5 Andrew Overholt 2007-03-13 15:09:43 UTC
(In reply to comment #4)
> Please just use %{_javadocdir}/* in %files section for javadoc.

Fixed.

Updated spec and SRPM:

http://overholt.ca/fedora/jaxen.spec
http://overholt.ca/fedora/jaxen-1.1-1jpp.1.src.rpm

Comment 6 Jeff Johnston 2007-03-13 15:30:25 UTC
Approved.

Comment 7 Vivek Lakshmanan 2007-03-13 19:32:07 UTC
New Package CVS Request
=======================
Package Name: jaxen
Short Description: An XPath engine written in Java
Owners: vivekl@redhat.com
Branches:
InitialCC: 

Comment 8 Vivek Lakshmanan 2007-03-13 23:37:41 UTC
Reassigning to main reviewer.

Comment 9 Deepak Bhole 2007-03-14 17:13:00 UTC
The specified srpm does not build in mock. Was the srpm changed since approval?

Comment 10 Jeff Johnston 2007-03-14 17:27:17 UTC
My bad for not reverifying this.  I had originally noted in the review that the
package did not build and had assumed that the fixes had dealt with this. 
Moving back to review -.

Comment 12 Andrew Overholt 2007-03-14 19:24:29 UTC
The one I just posted builds for me in mock:

http://overholt.ca/fedora/jaxen.spec
http://overholt.ca/fedora/jaxen-1.1-1jpp.1.src.rpm

Jeff, can you verify and re-+ the review?

Comment 13 Jeff Johnston 2007-03-14 20:51:27 UTC
Ok.  Verified to build under mock.  I have changed back to + review.

Comment 14 Anthony Green 2007-03-20 02:11:06 UTC
Created attachment 150458 [details]
Build failure log

I get the attached failure when I try to build on rawhide.

Comment 15 Vivek Lakshmanan 2007-03-20 05:22:59 UTC
(In reply to comment #14)
> Created an attachment (id=150458) [edit]
> Build failure log
> 
> I get the attached failure when I try to build on rawhide.
> 
Hi Anthony,
Thanks for the info. Looks like we avoided/failed to notice the problem in the
plague build since ant-junit was not a BR, which made it skip all the tests:
http://buildsys.fedoraproject.org/logs/fedora-development-extras/29714-jaxen-1.1-1jpp.1.fc7/noarch/build.log

I will add the missing BR and try to debug the problem.


Comment 16 Vivek Lakshmanan 2007-03-26 20:01:59 UTC
(In reply to comment #14)
> Created an attachment (id=150458) [edit]
> Build failure log
> 
> I get the attached failure when I try to build on rawhide.
> 
I just rebuilt jaxen on plague with the missing ant-junit and the build
succeeded (this time it ran the unit tests):
http://buildsys.fedoraproject.org/logs/fedora-development-extras/30495-jaxen-1.1-1jpp.2.fc7/noarch/build.log
So I guess the problem is fixed.



Comment 17 Vivek Lakshmanan 2007-03-26 20:04:54 UTC
Reassigning to Jeff (main reviewer) so he can close the bug after verifying that
the package has hit rawhide.


Comment 18 Jason Tibbitts 2007-06-21 20:48:28 UTC
Shouldn't this have been closed a long time ago?

Comment 19 Peter Robinson 2008-10-11 14:15:20 UTC
Closing - in rawhide


Note You need to log in before you can comment on or make changes to this bug.